<template>
	<div class="small-box" v-bind:style="setColor">
		<div class="inner">
			<h3>{{ total }}</h3>

			<p>{{ title }}</p>
		</div>
		<div class="icon">
			<i v-bind:class="icon"></i>
		</div>
		<a v-bind:href="url" class="small-box-footer">
			Ver mais <i class="fa fa-arrow-circle-right"></i>
		</a>
	</div>
</template>

<script>
    export default {
    	props:["total", "title", "url", "color", "icon"],
    	computed:{
    		setColor: function(){
    			return "background-color: " + this.color + " !important;"
    		}
    	}
    }
</script>

<!-- Estilos para as caixas (seguindo modelo AdminLTE Widgets) -->
<style type="text/css">
	.small-box {
	    border-radius: 2px;
	    position: relative;
	    display: block;
	    margin-bottom: 20px;
	    box-shadow: 0 1px 1px rgba(0,0,0,0.1);
	    color: #ffffff;
	}
 
	.small-box > .inner {
	    padding: 10px;
	}

	.small-box h3, .small-box p {
	    z-index: 5;
	}	
	
	.small-box h3 {
	    font-size: 38px;
	    font-weight: bold;
	    margin: 0 0 10px 0;
	    white-space: nowrap;
	    padding: 0;
	}
 
	.small-box .icon {
	    -webkit-transition: all .3s linear;
	    -o-transition: all .3s linear;
	    transition: all .3s linear;
	    position: absolute;
	    top: -10px;
	    right: 10px;
	    z-index: 0;
	    font-size: 90px;
	    color: rgba(0,0,0,0.15);
	}

	.small-box:hover .icon{
		font-size: 93px;
	}

	.small-box > .small-box-footer {
	    position: relative;
	    text-align: center;
	    padding: 3px 0;
	    color: #fff;
	    color: rgba(255,255,255,0.8);
	    display: block;
	    z-index: 10;
	    background: rgba(0,0,0,0.1);
	    text-decoration: none;
	}
 
 	.small-box > .small-box-footer:hover {
		color: #fff;
		background: rgba(0,0,0,0.15);
	} 
</style>